#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gdbm
Version		:	1.23
Release		:	17.2.0.rel%{?dist}
Summary		:	A GNU set of database routines which use extensible hashing
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://www.gnu.org/software/gdbm/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
Gdbm is a GNU database indexing library, including routines which use
extensible hashing.  Gdbm works in a similar way to standard UNIX dbm
routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

If you're a C developer and your programs need access to simple
database routines, you should install gdbm.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README NOTE-WARNING THANKS
%{_includedir}/*dbm.h
%{_bindir}/%{name}*
%{_libdir}/lib%{name}.so*
%{_libdir}/lib%{name}_compat.so*
%{_infodir}/%{name}.info.gz
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-libgdbm-compat				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__rm} -fr %{buildroot}%{_infodir}/dir

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
